# FieldDisplayState enum

Field display state in the RTU UI

Inheritance
  - Object
  - Enum
  - FieldDisplayState

## Constructors

FieldDisplayState()
  const

## Values

HIDDEN → const FieldDisplayState

  Field will not be shown in the RTU UI */

VISIBLE_IF_NOT_EMPTY → const FieldDisplayState

  Field will be shown in the RTU UI if its text value isn't an empty string */

ALWAYS_VISIBLE → const FieldDisplayState

  Field will be shown in the RTU UI */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<FieldDisplayState>
  A constant List of the values in this enum, in order of their declaration.